Public Class MainForm

    Private dtTestData As New TestData
    Private bsTestData As New BindingSource
    Private strTestDataPath As String = My.Computer.FileSystem.CurrentDirectory + "\testdata.xml"

    Private Sub MainForm_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        ' Save Data
        bsTestData.EndEdit()
        dtTestData.WriteXml(strTestDataPath)
    End Sub

    Private Sub MainForm_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Check If Data Exists And Retrieve Or Create It
        If IO.File.Exists(strTestDataPath) Then
            dtTestData.ReadXml(strTestDataPath)
        Else
            Dim drNewRec As DataRow = dtTestData.NewRow
            drNewRec.Item("selecteditemindex") = 0
            drNewRec.Item("selecteditemtext") = ""
            dtTestData.Rows.Add(drNewRec)
        End If

        ' Build Drop Down List
        For intC = 0 To 9
            Me.ddlTest.Items.Add("Item " + intC.ToString)
            Me.ddlTest2.Items.Add("Item " + intC.ToString)
        Next

        ' Bind Data To Fields
        bsTestData.DataSource = dtTestData
        Me.ddlTest.DataBindings.Add("SelectedIndex", bsTestData, "selecteditemindex")
        Me.ddlTest2.DataBindings.Add("Text", bsTestData, "selecteditemtext")
    End Sub
End Class
